[Box Backup-dev] COMMIT r682 - in box/chris/general/infrastructure: . mingw

boxbackup-dev at fluffy.co.uk boxbackup-dev at fluffy.co.uk
Sun Jul 23 23:19:56 BST 2006


Author: chris
Date: 2006-07-23 22:19:56 +0000 (Sun, 23 Jul 2006)
New Revision: 682

Added:
   box/chris/general/infrastructure/mingw/
   box/chris/general/infrastructure/mingw/configure.sh
Log:
* mingw/configure.sh
- Added a nice configure script that does some sanity checks, and sets
  all the right environment variables for you.


Added: box/chris/general/infrastructure/mingw/configure.sh
===================================================================
--- box/chris/general/infrastructure/mingw/configure.sh	2006-07-23 22:19:02 UTC (rev 681)
+++ box/chris/general/infrastructure/mingw/configure.sh	2006-07-23 22:19:56 UTC (rev 682)
@@ -0,0 +1,36 @@
+#!/bin/sh
+
+if [ ! -r "/usr/i686-pc-mingw32/lib/libssl.a" ]; then
+	echo "Error: install OpenSSL as instructed by" \
+		"docs/backup/mingw_build.txt" >&2
+	exit 2
+fi
+
+if [ ! -r "/bin/pcreposix.dll" \
+	-o ! -r "/usr/i686-pc-mingw32/lib/pcreposix.dll.a" \
+	-o ! -r "/usr/i686-pc-mingw32/include/regex.h" ]; then
+	echo "Error: install PCRE as instructed by" \
+		"docs/backup/mingw_build.txt" >&2
+	exit 2
+fi
+
+export CXX="g++ -mno-cygwin"
+export LD="g++ -mno-cygwin"
+export CFLAGS="-mno-cygwin -mthreads"
+export CXXFLAGS="-mno-cygwin -mthreads"
+export LDFLAGS="-mno-cygwin -mthreads"
+export LIBS="-lcrypto -lws2_32 -lgdi32"
+
+if [ ! -x "configure" ]; then
+	if ! ./bootstrap; then
+		echo "Error: bootstrap failed, aborting." >&2
+		exit 1
+	fi
+fi
+
+if ! ./configure --target=i686-pc-mingw32; then
+	echo "Error: configure failed, aborting." >&2
+	exit 1
+fi
+
+exit 0


Property changes on: box/chris/general/infrastructure/mingw/configure.sh
___________________________________________________________________
Name: svn:executable
   + *




More information about the Boxbackup-dev mailing list